Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Umbennenung von Solids durch Filenamen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Umbennenung von Solids durch Filenamen (119 mal gelesen)
TOQU
Mitglied
Dipl.-Ing. Kunststofftechnik

Sehen Sie sich das Profil von TOQU an!   Senden Sie eine Private Message an TOQU  Schreiben Sie einen Gästebucheintrag für TOQU

Beiträge: 4
Registriert: 26.11.2019

CATIA V26 / V28

erstellt am: 05. Feb. 2020 12:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen!
ich möchte den Arbeitsbody (nicht Hauptbody) umbenennen. Er soll so heissen wie das File.
Kann mir da jemand helfen?
Viele Grüße
Thomas

------------------
TOQU

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10877
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 05. Feb. 2020 12:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TOQU 10 Unities + Antwort hilfreich

Servus

An den Dateinamen kommst du über Name des Documents, an den Namen des Körpers über Name des Body. zB (CATScript):

Code:
Sub CATMain()
Dim oPartDocument as PartDocument
Dim oBody as Body

Set oPartDocument = Catia.ActiveDocument
Set oBody = oPartDocument.Part.Bodies.Item("Körper.1")

oBody.Name = oPartDocument.Name

End Sub


Jetzt noch Fehlerbehandlungen einbauen, eventuell die Dateierweiterung abscheiden, ...

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

TOQU
Mitglied
Dipl.-Ing. Kunststofftechnik

Sehen Sie sich das Profil von TOQU an!   Senden Sie eine Private Message an TOQU  Schreiben Sie einen Gästebucheintrag für TOQU

Beiträge: 4
Registriert: 26.11.2019

CATIA V26 / V28

erstellt am: 05. Feb. 2020 12:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

herzlichen Dank!

TOQU

------------------
TOQU

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz